package com.inspect.patrol.linkage.block;

import com.inspect.patrol.annotation.CimeAnnotation;
import com.inspect.patrol.annotation.FileNameAnnotation;

@FileNameAnnotation("returnlinkage.cime")
public class ReverseBlock implements IBlock, ICimeXml {
   @CimeAnnotation("序号")
   private String serialNo;
   @CimeAnnotation("站序号")
   private String stationNo;
   @CimeAnnotation("监控索引号")
   private String monitorIndexNo;
   @CimeAnnotation("设备名称")
   private String deviceName;
   @CimeAnnotation("类型")
   private String deviceType;
   @CimeAnnotation("联动指令")
   private String command;

   public String getSerialNo() {
      return this.serialNo;
   }

   public void setSerialNo(String serialNo) {
      this.serialNo = serialNo;
   }

   public String getStationNo() {
      return this.stationNo;
   }

   public void setStationNo(String stationNo) {
      this.stationNo = stationNo;
   }

   public String getMonitorIndexNo() {
      return this.monitorIndexNo;
   }

   public void setMonitorIndexNo(String monitorIndexNo) {
      this.monitorIndexNo = monitorIndexNo;
   }

   public String getDeviceName() {
      return this.deviceName;
   }

   public void setDeviceName(String deviceName) {
      this.deviceName = deviceName;
   }

   public String getDeviceType() {
      return this.deviceType;
   }

   public void setDeviceType(String deviceType) {
      this.deviceType = deviceType;
   }

   public String getCommand() {
      return this.command;
   }

   public void setCommand(String command) {
      this.command = command;
   }

   public CimeXmlFormat toCimeXmlFormat() {
      return new CimeXmlFormat("反向联动请求", "控制状态信息", "设备资源信息");
   }
}
